local file = {priority = 0}

Controller = { }

function Controller:new( )
	local self = Class:init( Controller )

	self.binds = {
	moveLeft = {"a","left"},
	moveRight = {"d","right"},
	jump = {"w","up"},
	attack = "space",
	dash = "lshift",
	}

	return self
end

function Controller:anyPress()
	return Input:isPressed()
end

function Controller:isMovingLeft()
	return Input:isDown(self.binds.moveLeft[1]) or Input:isDown(self.binds.moveLeft[2])
end

function Controller:isMovingRight()
	return Input:isDown(self.binds.moveRight[1]) or Input:isDown(self.binds.moveRight[2])
end

function Controller:isJumping()
	return Input:isPressed(self.binds.jump[1]) or Input:isPressed(self.binds.jump[2])
end

function Controller:isDashing()
	return Input:isPressed(self.binds.dash)
end

function Controller:isAttacking()
	return Input:isPressed(self.binds.attack)
end

function Controller:selectLeft()
	return Input:isPressed(self.binds.moveLeft[1]) or Input:isPressed(self.binds.moveLeft[2])
end

function Controller:selectRight()
	return Input:isPressed(self.binds.moveRight[1]) or Input:isPressed(self.binds.moveRight[2])
end

function Controller:select()
	return Input:isPressed(self.binds.attack)
end


function file:init()
	Controller = Controller:new()
end

function file:update()
end

function file:draw()
end


-- [[ RETURN ]] --
return file