local file = {priority = 1}

Key = {list = {}}

function Key:new(pos)
	local self = Class:init(Key,Entity,{pos})

	self.sprite = Sprite:new(self.pos, lg.newImage("assets/hud/key.png"))
	self.sprite:setParent(self)

	self.pickupSound = la.newSource("assets/audio/key.wav","static")

	self.timer = 0
	self.radius = 13

	return self
end


function Key:update()
	self.timer = self.timer + gdt
	self:move(0,sin(time*1.5)*gdt)

	if self:dist(Player) < self.radius and self.timer > 0.5 then
		self:destroy()
		Player.keys = Player.keys + 1
		Game.state = "sacrifice"
		self.pickupSound:play()
	end
end


function Key:destroy()
	Entity.destroy(self)
	self.sprite:destroy()
	removeFromTable(Key.list,self)
end

function file:init()
end

function file:update()
end

function file:draw()
end

-- [[ RETURN ]] --
return file