local file = {priority = 1}

Spawner = {}

function Spawner:new(pos, enemyClass)
	local self = Class:init(Spawner,Entity,{pos})

	self.canSpawn = true
	self.enemyClass = enemyClass

	return self
end




function Spawner:update()
	if self:onScreen() and self.canSpawn then
		self.enemyClass:new(self.pos)
		self.canSpawn = false
	end
	if not self.canSpawn and not self:onScreen() then
		self.canSpawn = true
	end
end


function Spawner:destroy()
	Entity.destroy(self)
end

function file:init()
end

function file:update()
end

function file:draw()
end

-- [[ RETURN ]] --
return file