local file = {priority = 0}

Sprite = {list = {}}

function Sprite:new(pos,img)
	local self = Class:init(Sprite,Entity,{pos})

	self.color = {1,1,1}
	self.img = img or lg.newImage("assets/error.png")
	self.rot = 0
	self.sx = 1
	self.sy = 1
	self.ox = 0.5
	self.oy = 1
	self.fullBright = false

	table.insert(Sprite.list,self)
	return self
end


function Sprite:draw()
	lg.setShader(shader_sprite)

	shader_sprite:send("fullBright", self.fullBright)
	lg.setColor(self.color[1],self.color[2],self.color[3])
	lg.draw(self.img, floor(self.pos[1]),floor(self.pos[2]), self.rot, self.sx,self.sy, self.img:getWidth()*self.ox,self.img:getHeight()*self.oy)

	lg.setShader()
end


function Sprite:destroy()
	Entity.destroy(self)
	removeFromTable(Sprite.list,self)
end

function file:init()
end

function file:update()
end

function file:draw()
end

-- [[ RETURN ]] --
return file