local file = {priority = 1}

WallText = {}

function WallText:new(pos,str,w,runText)
	local self = Class:init(WallText,Entity,{pos})

	self.string = str or "no text"
	self.w = w or 100
	self.runText = runText

	self.order = 0.99

	return self
end


function WallText:update()
	if self.runText then
		if Player.currentRun > 1 then
			self.string = "RUN: "..Player.currentRun
		else
			self.string = ""
		end
	end
end


function WallText:draw()
	lg.setColor(1,1,1)
	lg.printf(self.string,self.pos[1]-self.w*0.5,self.pos[2],self.w,"center")
end


function WallText:destroy()
	Entity.destroy(self)
end

function file:init()
	WallText:new({100,35},"RUN: "..Player.currentRun,1000, true)
	WallText:new({100,50},"Move left/right: 'A','D'")
	WallText:new({415,80},"Jump: 'W'")
	WallText:new({850,70},"Dash: 'lSHIFT'")
	WallText:new({850,110},"Dash after jumping for extra range")
	WallText:new({1075,120},"Attack: 'SPACE'")
	WallText:new({1443,90},"You are invulnerable while dashing")
	WallText:new({Door.pos[1],Door.pos[2]-105},"THE GREAT DOOR HAS 3 LOCKS",150)
	WallText:new({Door.pos[1],Door.pos[2]-88},"THERE ARE 3 CURSED KEYS, SWALLOWED BY 3 FOUL DEMONS",150)
end

function file:update()
end

function file:draw()
end

-- [[ RETURN ]] --
return file