local file = {priority = 1}

Bat = {}

function Bat:new(pos)
	local self = Class:init(Bat,Enemy,{pos, 3, 2})

	self.speed = 20
	self.flip = 1
	self.anim = Animation:new("assets/enemies/bat.png",0.6)

	return self
end


function Bat:moveAround()
	local dx,dy = cos(time)*gdt*self.speed, cos(time*2)*self.speed*gdt
	self:move(dx,dy)
	self.flip = sign(dx)
end

function Bat:update()
	Enemy.update(self)

	self:moveAround()
end


function file:init()
end

function file:update()
end

function file:draw()
end

-- [[ RETURN ]] --
return file