local file = {priority = 1}

Grunt = {}

function Grunt:new(pos)
	local self = Class:init(Grunt,Enemy,{pos, 4, 3})

	self.speed = 20
	self.flip = 1
	self.anim = Animation:new("assets/enemies/grunt.png",0.5)

	return self
end


function Grunt:moveAround()
	self:move(self.speed*gdt*self.flip,0)

	local groundPos,wallPos = {self.pos[1]+self.radius*self.flip,self.pos[2]+4},{self.pos[1]+self.radius*self.flip,self.pos[2]-2}
	if not World:getCell(groundPos).solid or World:getCell(wallPos).solid then
		self.flip = -self.flip
	end
end

function Grunt:update()
	Enemy.update(self)

	self:moveAround()
end


function file:init()
end

function file:update()
end

function file:draw()
end

-- [[ RETURN ]] --
return file