local file = {priority = 0}

Boss3Mortar = {}

function Boss3Mortar:new(pos,dir,radius)
	local self = Class:init(Boss3Mortar,Projectile,{pos, radius or 4, dir})

	self.damage = 1
	self.speed = 70
	self.gravity = 1

	for i = 1,25 do
		local pos = {self.pos[1]+random()*rsign()*4,self.pos[2]+random()*rsign()*4}
		local radius = 3 + random() * 2
		Particle:new(pos,radius,{5/8,5/8,5/8},0.5,40,{random()*rsign()*15,-random()*9})
	end

	return self
end


function Boss3Mortar:parry()
end

function Boss3Mortar:update()
	Projectile.update(self)

	self.dir[2] = self.dir[2] + self.gravity * gdt
end



function Boss3Mortar:destroy()
	Projectile.destroy(self)

	self:move(0,-2)

	Boss2Shockwave:new(self.pos,{1,0})
	Boss2Shockwave:new(self.pos,{-1,0})
end

function file:init()
end

function file:update()
end

function file:draw()
end

-- [[ RETURN ]] --
return file