local file = {priority = 1}

shader_sprite = lg.newShader[[
	extern bool fullBright;
	
    vec4 effect( vec4 color, Image texture, vec2 tc, vec2 sc ){
		
		vec4 pixel = Texel(texture, tc)*color;
		
		if (fullBright) {
			pixel = vec4(1,1,1,pixel.a);
		}

		// RETURN
		return pixel;

		
    }
]]

-- [[ RETURN ]] --
return file