local file = {priority = 0}

Background = {}

function Background:new(pos)
	local self = Class:init(Background,Dynamic)

	self.bgSprite = Sprite:new({-1000,-1000},lg.newImage("assets/1.png"))
	self.bgSprite.ox,self.bgSprite.oy = 0,0
	self.bgSprite.sx = 1000000
	self.bgSprite.sy = 1000000
	self.bgSprite.order = 0
	self.bgSprite.color = {2/8,2/8,2/8}

	self.order = 0.1

	return self
end


function Background:drawTiles()
	local xw,yw = floor(Camera.pos[1]/8),floor(Camera.pos[2]/8)
	local spaceX,spaceY = 21,14

	for i = max(1,xw-spaceX), min(xw+spaceX,#World.array[1]-2) do
		for j = max(1,yw-spaceY), min(yw+spaceY,#World.array-2) do
			local cell = World.array[i][j]
			local x,y = (i-1)*8,(j-1)*8
			if cell.bgSolid then
				lg.setColor(0,0,0)
				lg.draw(World.tiles[ceil(cell.deter*#World.tiles)],x,y)
			end
		end
	end
end

function Background:draw()
	self:drawTiles()
end


function file:init()
	Background = Background:new()
end

function file:update()
end

function file:draw()
end

-- [[ RETURN ]] --
return file