local file = {priority = 0}

Dynamic = {list = {}}

function Dynamic:new()
	local self = Class:init(Dynamic)
	
	self.order = 1

	table.insert(Dynamic.list, self)
	return self
end

function Dynamic:destroy()
	removeFromTable(Dynamic.list, self)
end


function file:init()
end

local function sortList(d1, d2)
	return d1.order < d2.order
end

function file:update()
	table.sort(Dynamic.list, sortList)
	for i, d in pairs(Dynamic.list) do
		if d.update and not d.static and (not d.activeState or d.activeState == Game.state) then
			d:update()
		end
	end
end

function file:draw()
	for i, d in pairs(Dynamic.list) do
		if d.draw and not d.static and (not d.activeState or d.activeState == Game.state) then
			d:draw()
		end
	end
end

-- [[ RETURN ]] --
return file