local file = {priority = 10}

Screen = {}

function Screen:new()
	local self = Class:init(Screen)

	self.baseDim = {1280,720}
	self.resolution = {1280*0.25,720*0.25}
	self.width,self.height = self.resolution[1],self.resolution[2]

	self.canvas = lg.newCanvas(self.resolution[1],self.resolution[2])
	self.finalCanvas = lg.newCanvas(lg.getWidth(),lg.getHeight())
	print(lg.getWidth(),lg.getHeight())

	return self
end


function Screen:apply()
	lg.origin()
	lg.setCanvas(self.canvas)
	lg.clear()
end

function Screen:drawCanvas()
	lg.setColor(1,1,1)
	lg.origin()
	lg.setCanvas(self.finalCanvas)
	lg.setShader(shader_screen)
	lg.draw(self.canvas, 0,0, 0,
	 self.baseDim[1]/self.resolution[1]/self.baseDim[1]*self.finalCanvas:getWidth(),
	 self.baseDim[2]/self.resolution[2]/self.baseDim[2]*self.finalCanvas:getHeight())
	lg.setShader(shader_screenSmooth)
	lg.setCanvas()
	lg.draw(self.finalCanvas, 0,0)
	lg.setShader()
end


function Screen:update()
end

function Screen:draw()
end


function file:init()
	Screen = Screen:new()
end

function file:update()
end

function file:draw()
	Screen:drawCanvas()
	--Hud:drawStatic()
end

-- [[ RETURN ]] --
return file