local file = {priority = 0}

Boss2Shockwave = {}

function Boss2Shockwave:new(pos,dir)
	local self = Class:init(Boss2Shockwave,Projectile,{pos, 5, dir})

	self.damage = 1
	self.speed = 100
	self.particleTimer = 0

	self:move(0,-1)

	return self
end


function Boss2Shockwave:update()
	Projectile.update(self)

	self.particleTimer = self.particleTimer + gdt

	if self.particleTimer > 0.01 then
		self.particleTimer = 0
		local radius = random()*3 + 1
		local vel = 70+random()*25
		local p1 = Particle:new(self.pos,radius,{6/8,6/8,6/8},0.4,400,{0,-vel})
		local p2 = Particle:new(self.pos,radius*1.5,{5/8,5/8,5/8},0.4,400,{0,-vel*2})

		p2.order = p1.order - 0.01
	end
end

function Boss2Shockwave:draw()
end



function Boss2Shockwave:destroy()
	Projectile.destroy(self)
end

function file:init()
end

function file:update()
end

function file:draw()
end

-- [[ RETURN ]] --
return file