local file = {priority = 1}

shader_screen = lg.newShader[[
	extern Image palette;
	
    vec4 effect( vec4 color, Image texture, vec2 tc, vec2 sc ){
		
		vec4 pixel = Texel(texture, tc);
		
		// color palette
		pixel = Texel(palette, vec2(pixel.r+0.001,0.5));

		// RETURN
		return pixel;

		
    }
]]

-- [[ RETURN ]] --
return file